- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Collections::TObjectNuller< TypeName > Class Template Reference

Inheritance diagram for Exponent::Collections::TObjectNuller< TypeName >:

List of all members.

## Detailed Description

### template<class TypeName>
class Exponent::Collections::TObjectNuller< TypeName >

Templated nuller of objects.

Date:
  23/01/2006

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exponent.
  You may not redistribute the source files in any way (except compiled), unless expressly sanctioned by Exponent.
  All content is the Intellectual property of Exponent.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please email plugins@expdigital.co.uk

Definition at line 131 of file TPointerDeleter.hpp.

## Public Member Functions

- virtual void deletePointer (TypeName *pointer) const
- virtual void pointerAdded (TypeName *pointer) const
- TObjectNuller ()
- virtual ~TObjectNuller ()

## Constructor & Destructor Documentation

template<class TypeName>

Exponent::Collections::TObjectNuller< TypeName >::TObjectNuller | ( |  | ) |

Construction

template<class TypeName>

virtual Exponent::Collections::TObjectNuller< TypeName >::~TObjectNuller | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

template<class TypeName>

virtual void Exponent::Collections::TObjectNuller< TypeName >::deletePointer | ( | TypeName * | pointer | ) | const`[virtual]`

Delete a pointer

Parameters:

  | pointer | The pointer to delete

Implements Exponent::Collections::TPointerDeleter< TypeName >.

template<class TypeName>

virtual void Exponent::Collections::TObjectNuller< TypeName >::pointerAdded | ( | TypeName * | pointer | ) | const`[inline, virtual]`

Pointer is added (ie if you need to reference, do it here)

Parameters:

  | pointer | The pointer to add

Implements Exponent::Collections::TPointerDeleter< TypeName >.

Definition at line 155 of file TPointerDeleter.hpp.